Summary: enables site-wide Bayesian Filter, Blacklist testing and makes autolearn thresholds configurable for spamassassin
%define realname smeserver-spamassassin-features
Name: %{realname}
%define version 0.0.2
Version: %{version}
%define release 0
Release: %{release}
Copyright: GNU GPL (GNU General Public License)
Group: Mail
Source: %{realname}-%{version}.tar.gz
Packager: Michael Weinberger <mweinber@neddix.de>
Vendor: neddix IT Consulting und Services, Stuttgart, Germany
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
AutoReqProv: no

%description
enables site-wide Bayesian Filter, Blacklist testing 
	and makes autolearn thresholds configurable for spamassassin

%changelog
* Wed Jul 19 2006 Michael Weinberger
- corrected path to bayes db
- expand local.cf before sa-learn --sync
* Tue Jul 18 2006 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/e-smith/templates/@%attr(0644,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT
exit 0

%pre
exit 0

%post
/sbin/e-smith/config setprop spamassassin UseBayes 1
/sbin/e-smith/config getprop spamassassin BayesAutoLearnThresholdSpam >/dev/null|| /sbin/e-smith/config setprop spamassassin BayesAutoLearnThresholdSpam 4.00
/sbin/e-smith/config getprop spamassassin BayesAutoLearnThresholdNonspam >/dev/null|| /sbin/e-smith/config setprop spamassassin BayesAutoLearnThresholdNonspam 0.10
/sbin/e-smith/config setprop qpsmtpd DNSBL enabled
/sbin/e-smith/config setprop qpsmtpd RHSBL enabled

/sbin/e-smith/expand-template /etc/mail/spamassassin/local.cf

sa-learn --sync 
chown spamd.spamd /var/spool/spamd/.spamassassin/bayes_*
chmod ug+rw,o-rwx /var/spool/spamd/.spamassassin/bayes_*

if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	echo
	echo spamassassin properties:
	/sbin/e-smith/config printprop spamassassin BayesAutoLearnThresholdNonspam BayesAutoLearnThresholdSpam UseBayes
	echo
	echo qpsmtpd properties:
	/sbin/e-smith/config printprop qpsmtpd DNSBL RHSBL

	/sbin/e-smith/signal-event email-update
fi
exit 0

%preun
exit 0

%postun
if [ $1 = 0 ] ; then # uninstall
	/sbin/e-smith/config setprop spamassassin UseBayes 0
	/sbin/e-smith/config setprop qpsmtpd DNSBL disabled
	/sbin/e-smith/config setprop qpsmtpd RHSBL disabled
	if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
		/sbin/e-smith/signal-event email-update
	fi
fi
exit 0

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
